SSLPermission (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: javax.net.ssl, class: SSLPermission
Keywords: javax.net.ssl.SSLPermission class

# Class SSLPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.net.ssl.SSLPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class SSLPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
This class is for various network permissions. An SSLPermission contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

The target name is the name of the network permission. The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "foo.*" and "*" signify a wildcard match, while "*foo" and "a*b" do not.

Since:
  1.4
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSLPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new SSLPermission with the specified name.
  `SSLPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new SSLPermission object with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SSLPermission

    public SSLPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new SSLPermission with the specified name. The name is the symbolic name of the SSLPermission, such as "setDefaultAuthenticator", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match.
    Parameters:
      `name` - the name of the SSLPermission.
    Throws:
      `NullPointerException` - if `name` is null.
      `IllegalArgumentException` - if `name` is empty.

  - ### SSLPermission

    public SSLPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new SSLPermission object with the specified name. The name is the symbolic name of the SSLPermission, and the actions String is currently unused and should be null.
    Parameters:
      `name` - the name of the SSLPermission.
      `actions` - ignored.
    Throws:
      `NullPointerException` - if `name` is null.
      `IllegalArgumentException` - if `name` is empty.